# Uses of Record Class
jdk.jshell.SourceCodeAnalysis.Highlight

Packages that use SourceCodeAnalysis.Highlight
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.Highlight in jdk.jshell

Methods in jdk.jshell that return types with arguments of type SourceCodeAnalysis.Highlight
Modifier and Type
Method
Description
`abstract List<SourceCodeAnalysis.Highlight>`
SourceCodeAnalysis.`highlights(String snippet)`
Returns a collection of `Highlight`s which can be used to color the given snippet.